Name: xcursorgen
Version: 1.0.8
Release: %mkrel 2
Summary: Create an X cursor file from a collection of PNG images
Group: Development/X11
Source: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT
BuildRequires: pkgconfig(libpng) >= 1.2.8
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xcursor) >= 1.1.5.2
BuildRequires: x11-util-macros >= 1.0.1

%description
Xcursorgen creates an X cursor file from a collection of PNG images.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/xcursorgen
%{_mandir}/man1/xcursorgen.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.8-2.mga10
+ Revision: 2216750
- Mageia 10 Mass Rebuild

* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.0.8-1.mga9
+ Revision: 1919932
- 1.0.8

* Tue Mar 22 2022 umeabot <umeabot> 1.0.7-3.mga9
+ Revision: 1819374
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.7-2.mga8
+ Revision: 1522030
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Jan 15 2019 luigiwalser <luigiwalser> 1.0.7-1.mga7
+ Revision: 1357037
- 1.0.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-6.mga7
+ Revision: 1301827
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.6-5.mga6
+ Revision: 937639
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.6-4.mga6
+ Revision: 937186
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-3.mga5
+ Revision: 748465
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-2.mga5
+ Revision: 690574
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 tv <tv> 1.0.6-1.mga5
+ Revision: 630591
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.0.5-4.mga4
+ Revision: 526433
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1.0.5-3.mga4
+ Revision: 436916
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 386706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 tv <tv> 1.0.5-1.mga3
+ Revision: 257382
- new release

* Fri Jan 21 2011 ennael <ennael> 1.0.4-1.mga2
+ Revision: 27639
- imported package xcursorgen


* Fri Sep 24 2010 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 580825
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 464699
- New version: 1.0.3

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.2-5mdv2009.1
+ Revision: 351213
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-4mdv2009.0
+ Revision: 226024
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-3mdv2008.1
+ Revision: 166460
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-2mdv2008.1
+ Revision: 155926
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 68272
- new release
- do not hardcode man page extension
- fix description & summary


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

